package org.ts.ddcs.Service;

import org.ts.ddcs.Entity.RelayDatagramRecordEntity;
import org.ts.ddcs.Entity.RtuBaseInfo;

import java.util.List;

public interface RtuService {
    void saveOrUpdateRtu(RtuBaseInfo rtuBaseInfo);
    void SaveRelayDatagramInfo(RelayDatagramRecordEntity recordEntity);
    List<RtuBaseInfo> rtuDataListByProjectId(String projectId);
    void updateRtuVersion(RtuBaseInfo rtuBaseInfo);
    RtuBaseInfo rtuInfo(String rtuCode);
    List<RtuBaseInfo> cameraStation();
}
